import * as React from 'react';


// === IgrDataChartに必要なモジュールをインポートする。 ===

// 軸のモジュール
import { IgrNumericYAxis } from 'igniteui-react-charts';
import { IgrCategoryXAxis } from 'igniteui-react-charts';

// シリーズのモジュール
import { IgrColumnSeries } from 'igniteui-react-charts';

// データチャートのモジュール
import { IgrDataChart } from 'igniteui-react-charts';
import { IgrDataChartCoreModule } from 'igniteui-react-charts';
import { IgrDataChartCategoryModule } from 'igniteui-react-charts';


// === IgrDataChartに必要なモジュールを登録する。===

IgrDataChartCoreModule.register();
IgrDataChartCategoryModule.register();

// === Reactのコンポーネントを拡張してMyDataChartクラスコンポーネントを定義する。 ===
export default class MyDataChart extends React.Component {
    public data: any[];


    // === MyDataChartクラスコンポーネントのコンストラクター ===
    constructor(props: any) {
        super(props);

        // === IgrDataChartに表示するデータを生成する。 ===
        this.data = [
            {"Year": "1920", "Population": 55963053 },
            {"Year": "1930", "Population": 64450005 },
            {"Year": "1940", "Population": 73114308 },
            {"Year": "1950", "Population": 84114574 },
            {"Year": "1960", "Population": 94301623 },
            {"Year": "1970", "Population": 104665171 },
            {"Year": "1980", "Population": 117060396 },
            {"Year": "1990", "Population": 123611167 },
            {"Year": "2000", "Population": 126925843 },
            {"Year": "2010", "Population": 128057352 },
        ];
    }

    // === MyDataChartクラスコンポーネントの描画を実装する。 ===
    public render() {
      return(
          <div style={{margin: "1em"}}>
            {/*
              === IgrDataChartを配置する。 ===
            */}
            <IgrDataChart
              dataSource={this.data}
              width="100%"
              height="300px">
              {/* 軸 */}
              <IgrCategoryXAxis name="xAxis" label="Year" />
              <IgrNumericYAxis  name="yAxis" minimumValue="0" />
              {/* シリーズ */}
              <IgrColumnSeries
                name="series1"
                xAxisName="xAxis"
                yAxisName="yAxis"
                valueMemberPath="Population" />
              </IgrDataChart>
            </div>
        );
    }
}